Package net.shibboleth.spring.security.credential

# Class BasicInlineCredentialParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.security.credential.AbstractCredentialParser
net.shibboleth.spring.security.credential.AbstractBasicCredentialParser
net.shibboleth.spring.security.credential.BasicInlineCredentialParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class BasicInlineCredentialParser extends AbstractBasicCredentialParser
Parser for BasicInline Credentials.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`TYPE_NAME`
Element Name.

### Fields inherited from class net.shibboleth.spring.security.credential.AbstractBasicCredentialParser

`PRIVATE_KEY_ELEMENT_NAME, PUBLIC_KEY_ELEMENT_NAME, SECRET_KEY_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.spring.security.credential.AbstractCredentialParser

`CREDENTIAL_ELEMENT_NAME, KEY_NAME_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BasicInlineCredentialParser()`

## Method Summary

Modifier and Type
Method
Description
`protected Class<?>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.spring.security.credential.AbstractBasicCredentialParser

`doParse`

### Methods inherited from class net.shibboleth.spring.security.credential.AbstractCredentialParser

`parseAttributes, parseKeyNames, resolveId`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Element Name.

## Constructor Details

### BasicInlineCredentialParser

public BasicInlineCredentialParser()

## Method Details

### getBeanClass

@Nonnull protected Class<?> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`